Bug 250353 - can't install with /boot on raid
can't install with /boot on raid
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-31 21:35 EDT by Alexandre Oliva
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-13 10:16:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Dump saved by anaconda (183.93 KB, text/plain)
2007-07-31 21:35 EDT, Alexandre Oliva
no flags Details

  None (edit)
Description Alexandre Oliva 2007-07-31 21:35:34 EDT
Traceback (most recent call first):
  File "/usr/lib/anaconda/partedUtils.py", line 188, in get_partition_drive
    return "%s" %(partition.geom.dev.path[5:])
  File "/usr/lib/anaconda/fsset.py", line 1396, in setActive
    drive = partedUtils.get_partition_drive(part)
  File "/usr/lib/anaconda/packages.py", line 143, in turnOnFilesystems
  File "/usr/lib/anaconda/dispatch.py", line 203, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
  File "/usr/lib/anaconda/gui.py", line 1047, in nextClicked
  File "/usr/lib/anaconda/iw/progress_gui.py", line 67, in renderCallback
  File "/usr/lib/anaconda/gui.py", line 1074, in handleRenderCallback
AttributeError: 'NoneType' object has no attribute 'geom'

Local variables in innermost frame:
partition: None

Version-Release number of selected component (if applicable):
anaconda- (20070731 rawhide)

How reproducible:
Haven't tried again on this box.  Other boxes that didn't have /boot
on raid installed successfully.
Comment 1 Alexandre Oliva 2007-07-31 21:35:34 EDT
Created attachment 160386 [details]
Dump saved by anaconda
Comment 2 Chris Lumens 2007-08-13 10:16:47 EDT
This should be fixed in the next build of anaconda.

Note You need to log in before you can comment on or make changes to this bug.